<feed xmlns='http://www.w3.org/2005/Atom'>
<title>bottlenecks/docs/etc, branch opnfv-6.2.0</title>
<subtitle></subtitle>
<link rel='alternate' type='text/html' href='http://git.opnfv.org/bottlenecks/'/>
<entry>
<title>define the documents in bottlenecks</title>
<updated>2016-01-19T01:24:46+00:00</updated>
<author>
<name>MatthewLi</name>
<email>matthew.lijun@huawei.com</email>
</author>
<published>2016-01-18T07:59:18+00:00</published>
<link rel='alternate' type='text/html' href='http://git.opnfv.org/bottlenecks/commit/?id=61b37f3955ba7abb168fc5bab53a336a20579286'/>
<id>61b37f3955ba7abb168fc5bab53a336a20579286</id>
<content type='text'>
JIRA: BOTTLENECK-39

Change-Id: I4ed4e4831c8f7d20ae75f33d7c0f4d47600989b7
Signed-off-by: MatthewLi &lt;matthew.lijun@huawei.com&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
JIRA: BOTTLENECK-39

Change-Id: I4ed4e4831c8f7d20ae75f33d7c0f4d47600989b7
Signed-off-by: MatthewLi &lt;matthew.lijun@huawei.com&gt;
</pre>
</div>
</content>
</entry>
<entry>
<title>amend document conf file</title>
<updated>2015-12-01T06:29:15+00:00</updated>
<author>
<name>MatthewLi</name>
<email>matthew.lijun@huawei.com</email>
</author>
<published>2015-12-01T06:27:41+00:00</published>
<link rel='alternate' type='text/html' href='http://git.opnfv.org/bottlenecks/commit/?id=1cf9439d8a29190a22c055c83ca8bdecff146261'/>
<id>1cf9439d8a29190a22c055c83ca8bdecff146261</id>
<content type='text'>
JIRA: BOTTLENECK-23

Change-Id: Ieae1dd3a12f6067b04f0317ee402a6711967ffab
Signed-off-by: MatthewLi &lt;matthew.lijun@huawei.com&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
JIRA: BOTTLENECK-23

Change-Id: Ieae1dd3a12f6067b04f0317ee402a6711967ffab
Signed-off-by: MatthewLi &lt;matthew.lijun@huawei.com&gt;
</pre>
</div>
</content>
</entry>
<entry>
<title>Example as code, documentation template for sphinx build</title>
<updated>2015-09-10T19:31:12+00:00</updated>
<author>
<name>Aric Gardner</name>
<email>agardner@linuxfoundation.org</email>
</author>
<published>2015-09-10T19:31:04+00:00</published>
<link rel='alternate' type='text/html' href='http://git.opnfv.org/bottlenecks/commit/?id=1e12bc16fa839ab0bfd1ec1e57a11143bc979bb6'/>
<id>1e12bc16fa839ab0bfd1ec1e57a11143bc979bb6</id>
<content type='text'>
This code will be pushed to each project creating a docs/ directory
This servers as an example and template for you (the developers) to create
your own project documentation

Change-Id: Ie6ca71ca282b6fff43626b8f00b1a38f714f1097
JIRA:RELENG-15
Signed-off-by: Aric Gardner &lt;agardner@linuxfoundation.org&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
This code will be pushed to each project creating a docs/ directory
This servers as an example and template for you (the developers) to create
your own project documentation

Change-Id: Ie6ca71ca282b6fff43626b8f00b1a38f714f1097
JIRA:RELENG-15
Signed-off-by: Aric Gardner &lt;agardner@linuxfoundation.org&gt;
</pre>
</div>
</content>
</entry>
</feed>
ut type='hidden' name='h' value='danube.2.RC1'/><input type='hidden' name='id' value='f85bca25fd5a681215c210c51b703e0e957a91e5'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/yardstick/tree/?h=danube.2.RC1&amp;id=f85bca25fd5a681215c210c51b703e0e957a91e5'>root</a>/<a href='/yardstick/tree/tests?h=danube.2.RC1&amp;id=f85bca25fd5a681215c210c51b703e0e957a91e5'>tests</a>/<a href='/yardstick/tree/tests/opnfv?h=danube.2.RC1&amp;id=f85bca25fd5a681215c210c51b703e0e957a91e5'>opnfv</a>/<a href='/yardstick/tree/tests/opnfv/test_cases?h=danube.2.RC1&amp;id=f85bca25fd5a681215c210c51b703e0e957a91e5'>test_cases</a>/<a href='/yardstick/tree/tests/opnfv/test_cases/opnfv_yardstick_tc048.yaml?h=danube.2.RC1&amp;id=f85bca25fd5a681215c210c51b703e0e957a91e5'>opnfv_yardstick_tc048.yaml</a></div><div class='content'>blob: 2bca1fb9dd10ddbc73cb2bf1f94292c4d02cd5f0 (<a href='/yardstick/plain/tests/opnfv/test_cases/opnfv_yardstick_tc048.yaml?h=danube.2.RC1&amp;id=f85bca25fd5a681215c210c51b703e0e957a91e5'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
</pre></td>
<td class='lines'><pre><code><style>.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c1">##############################################################################</span>
<span class="c1"># Copyright (c) 2017 14_ykl@tongji.edu.cn and others.</span>
<span class="c1">#</span>
<span class="c1"># All rights reserved. This program and the accompanying materials</span>
<span class="c1"># are made available under the terms of the Apache License, Version 2.0</span>
<span class="c1"># which accompanies this distribution, and is available at</span>
<span class="c1"># http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c1">##############################################################################</span>
<span class="nn">---</span>

<span class="l l-Scalar l-Scalar-Plain">schema</span><span class="p p-Indicator">:</span> <span class="s">&quot;yardstick:task:0.1&quot;</span>
<span class="l l-Scalar l-Scalar-Plain">description</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">&gt;</span>
    <span class="no">Yardstick TC048 config file;</span>
    <span class="no">HA test case: Control node Openstack service down - cinder-api.</span>

<span class="p p-Indicator">{</span><span class="err">%</span> <span class="nv">set file = file or &#39;/etc/yardstick/pod.yaml&#39; %</span><span class="p p-Indicator">}</span>
<span class="p p-Indicator">{</span><span class="err">%</span> <span class="nv">set attack_host = attack_host or &quot;node1&quot; %</span><span class="p p-Indicator">}</span>
<span class="p p-Indicator">{</span><span class="err">%</span> <span class="nv">set attack_process = attack_process or &quot;cinder-api&quot; %</span><span class="p p-Indicator">}</span>

<span class="l l-Scalar l-Scalar-Plain">scenarios</span><span class="p p-Indicator">:</span>
<span class="p p-Indicator">-</span>
  <span class="l l-Scalar l-Scalar-Plain">type</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">ServiceHA</span>
  <span class="l l-Scalar l-Scalar-Plain">options</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">attackers</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">fault_type</span><span class="p p-Indicator">:</span> <span class="s">&quot;kill-process&quot;</span>
      <span class="l l-Scalar l-Scalar-Plain">process_name</span><span class="p p-Indicator">:</span> <span class="s">&quot;{{</span><span class="nv"> </span><span class="s">attack_process</span><span class="nv"> </span><span class="s">}}&quot;</span>
      <span class="l l-Scalar l-Scalar-Plain">host</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span><span class="nv">attack_host</span><span class="p p-Indicator">}}</span>

    <span class="l l-Scalar l-Scalar-Plain">monitors</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">monitor_type</span><span class="p p-Indicator">:</span> <span class="s">&quot;openstack-cmd&quot;</span>
      <span class="l l-Scalar l-Scalar-Plain">command_name</span><span class="p p-Indicator">:</span> <span class="s">&quot;openstack</span><span class="nv"> </span><span class="s">volume</span><span class="nv"> </span><span class="s">list&quot;</span>
      <span class="l l-Scalar l-Scalar-Plain">monitor_time</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">10</span>
      <span class="l l-Scalar l-Scalar-Plain">monitor_number</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">3</span>
      <span class="l l-Scalar l-Scalar-Plain">sla</span><span class="p p-Indicator">:</span>
        <span class="l l-Scalar l-Scalar-Plain">max_outage_time</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">5</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">monitor_type</span><span class="p p-Indicator">:</span> <span class="s">&quot;process&quot;</span>
      <span class="l l-Scalar l-Scalar-Plain">process_name</span><span class="p p-Indicator">:</span> <span class="s">&quot;{{</span><span class="nv"> </span><span class="s">attack_process</span><span class="nv"> </span><span class="s">}}&quot;</span>
      <span class="l l-Scalar l-Scalar-Plain">host</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span><span class="nv">attack_host</span><span class="p p-Indicator">}}</span>
      <span class="l l-Scalar l-Scalar-Plain">monitor_time</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">30</span>
      <span class="l l-Scalar l-Scalar-Plain">monitor_number</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">3</span>
      <span class="l l-Scalar l-Scalar-Plain">sla</span><span class="p p-Indicator">:</span>
        <span class="l l-Scalar l-Scalar-Plain">max_recover_time</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">30</span>

  <span class="l l-Scalar l-Scalar-Plain">nodes</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">{{</span><span class="nv">attack_host</span><span class="p p-Indicator">}}:</span> <span class="p p-Indicator">{{</span><span class="nv">attack_host</span><span class="p p-Indicator">}}</span><span class="l l-Scalar l-Scalar-Plain">.LF</span>

  <span class="l l-Scalar l-Scalar-Plain">runner</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">type</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">Duration</span>
    <span class="l l-Scalar l-Scalar-Plain">duration</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">1</span>
  <span class="l l-Scalar l-Scalar-Plain">sla</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">outage_time</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">5</span>
    <span class="l l-Scalar l-Scalar-Plain">action</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">monitor</span>


<span class="l l-Scalar l-Scalar-Plain">context</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">type</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">Node</span>
  <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">LF</span>
  <span class="l l-Scalar l-Scalar-Plain">file</span><span class="p p-Indicator">:</span> <span class="p p-Indicator">{{</span><span class="nv">file</span><span class="p p-Indicator">}}</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2015
        <a href="https://opnfv.org/">Open Platform for NFV Project, Inc</a>., a
        Linux Foundation Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Open Platform for NFV and OPNFV are trademarks of the Open Platform for
        NFV Project, Inc.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="https://opnfv.org/about/bylaws-and-policies/terms-use"
          >terms of use</a
        >,
        <a href="https://opnfv.org/about/bylaws-and-policies/trademarks"
          >trademark policy</a
        >, and
        <a href="https://opnfv.org/about/bylaws-and-policies/privacy-policy"
          >privacy policy</a
        >.
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
